diff --git a/src/backend/postmaster/autovacuum.c b/src/backend/postmaster/autovacuum.c
index 53c8f8d79c..44497f6734 100644
--- a/src/backend/postmaster/autovacuum.c
+++ b/src/backend/postmaster/autovacuum.c
@@ -1785,9 +1785,6 @@ FreeWorkerInfo(int code, Datum arg)
 void
 VacuumUpdateCosts(void)
 {
-	double		original_cost_delay = vacuum_cost_delay;
-	int			original_cost_limit = vacuum_cost_limit;
-
 	if (MyWorkerInfo)
 	{
 		if (av_storage_param_cost_delay >= 0)
@@ -1821,16 +1818,11 @@ VacuumUpdateCosts(void)
 		VacuumCostBalance = 0;
 	}
 
-	if (MyWorkerInfo)
+	if (MyWorkerInfo && message_level_is_interesting(DEBUG2))
 	{
 		Oid			dboid,
 					tableoid;
 
-		/* Only log updates to cost-related variables */
-		if (vacuum_cost_delay == original_cost_delay &&
-			vacuum_cost_limit == original_cost_limit)
-			return;
-
 		Assert(!LWLockHeldByMe(AutovacuumLock));
 
 		LWLockAcquire(AutovacuumLock, LW_SHARED);
